maemo.org - Talk

maemo.org - Talk (https://talk.maemo.org/index.php)
-   General (https://talk.maemo.org/forumdisplay.php?f=7)
-   -   [Solved] DO NOT UPDATE TO LATEST libxau6 PACKAGE!!! (https://talk.maemo.org/showthread.php?t=83939)

impeham 2012-04-28 03:03

[Solved] DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
causes inifinte boot loop - i rechecked twice to make sure this is the package that causes this.

Who made this update and what's it for?

geneven 2012-04-28 03:19

Re: DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
I thoughtlessly installed it. -- And it didn't cause me any problems. Sometimes installing something simply activates a disaster you already have waiting.

D@vIcHoJD 2012-04-28 03:50

Re: DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
I also update it, I had 3 reboots there is normally lit my n900, but I hope the next reboot no recurrence of the problem.

someone else had this problem to report it and correct it?

D@vIcHoJD 2012-04-28 05:15

Re: DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
Here is the old package and what does:D

http://maemo.org/packages/view/libxau6/ new package
http://maemo.org/packages/package_in....0.3-2osso1.1/ old package

peter2p 2012-04-28 05:21

Re: DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
Just did the update together with busybox and bootmenu.
everything OK, no problems at all,
after reading this thread, I rebooted 3 times without any problems.

misiak 2012-04-28 06:28

Re: DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
http://maemo.org/packages/package_in...meego1141+0m6/ - doesn't have a maintainer and has "meego" in version string... and, what's worse it's again the situation when a package in extras-devel have the same name as package from "Maemo 5 device root filesystem" nad SSU repositories... (reminds me of SDL_mixer, which might also break something after installation). Are you sure it didn't cause conflicts with other packages, e.g. maemo-fremantle-pr? Did you install by ham, fam, apt-get, fapt-get?

impeham 2012-04-28 09:47

Re: DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
i installed by 'apt-get update' as i always do...

marmistrz 2012-04-28 10:05

Re: DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
Quote:

Originally Posted by misiak (Post 1198492)
http://maemo.org/packages/package_in...meego1141+0m6/ - doesn't have a maintainer and has "meego" in version string... and, what's worse it's again the situation when a package in extras-devel have the same name as package from "Maemo 5 device root filesystem" nad SSU repositories... (reminds me of SDL_mixer, which might also break something after installation). Are you sure it didn't cause conflicts with other packages, e.g. maemo-fremantle-pr? Did you install by ham, fam, apt-get, fapt-get?


strange, I uploaded this and added myself as the maintainer, don't know why I'm not the maintainer.

I compiled this as a build-depend for other libs needed for meego.

It's devel after all...
Has anyone beside impeham experienced any problems?

misiak 2012-04-28 10:19

Re: DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
Quote:

Originally Posted by marmistrz (Post 1198544)
strange, I uploaded this and added myself as the maintainer, don't know why I'm not the maintainer.

I compiled this as a build-depend for other libs needed for meego.

It's devel after all...
Has anyone beside impeham experienced any problems?

Did you consider using different name? ;) it looks like whole lot of other software now depends on it and even simple update of psx emulator or even apt-get update with extras-devel enabled (i guess we all have xserver-xorg-core package) will install this one... if extra functions are needed only for meego and the package itself is in Maemo core, it could always be called e.g. libaux-power (busybox-power, kernel-power, etc. ;)) and have "provides" and "replaces" flags set in debian config file. Feel free to correct me if I'm wrong, but pushing to extras-devel package with exact same name as a package in other repo is plain wrong :)

edit: i still have osso version installed, so can't help you with testing, if i update (in case it will get pushed with some other updates), i will let you know here in this thread.

szopin 2012-04-28 10:30

Re: DO NOT UPDATE TO LATEST libxau6 PACKAGE!!!
 
Nice security hole if it does reboot loop for some (even without, was wondering if Nokia started upgrading packages from 2 years ago seeing this go live)


All times are GMT. The time now is 06:57.

vBulletin® Version 3.8.8